summaryrefslogtreecommitdiffstats
path: root/dvm/765590/testcase
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-24 17:33:52 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-24 17:34:35 +0530
commit94fba5e1b2c1290ac0375f4ef346a12734e2e1b5 (patch)
tree481f98c6be6c932e8a4a90f775146f18c8b463e5 /dvm/765590/testcase
parentd9e30abf98ab45b487770a91eab6954361e72a7e (diff)
765590: check if adding brick to a stripe volume crashes glusterd
Change-Id: I76e26133a96de75533131ea5c05b11c17644f655 BUG: 765590 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'dvm/765590/testcase')
-rwxr-xr-xdvm/765590/testcase20
1 files changed, 20 insertions, 0 deletions
diff --git a/dvm/765590/testcase b/dvm/765590/testcase
new file mode 100755
index 0000000..8d56203
--- /dev/null
+++ b/dvm/765590/testcase
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function glusterd_stripe_add ()
+{
+ $GLUSTERFSDIR/gluster volume create --mode=script $global_bug_id stripe 2 $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null;
+
+ $GLUSTERFSDIR/gluster volume add-brick $global_bug_id stripe 3 $(hostname):$EXPORT_DIR/$global_bug_id/export3 &>/dev/null;
+
+ pgrep glusterd &>/dev/null;
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+}
+
+_init ; glusterd_stripe_add \ No newline at end of file